package com.iamberry.wechat.core.entity.agent;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 微代理会员中心 实体类
 * 2016年4月20日
 * @author 穆再兴
 *
 */
public class AgentMemberDto implements Serializable{
	private static final long serialVersionUID = 1137540642134509956L;

	private Integer userId;					//会员ID
	private String userOpenid;				//用户openid
	private String userHead;				//用户头像
	private String userNickname;			//用户昵称

	private String userName;				//姓名
	private String userTel;					//用户电话
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
	private Date userBirthDate;				//生日
	private Integer userSex;				//用户性别		default 1; 1:男   2:女   0:未知

	private Integer userIncome;				//收入金额，单位为分
	private int willIncome; 				//待返还金额，单位元
	private Integer shareType;				//是否显示分享二维码	 	1:不显示	2：显示
	private OrderStatusDto orderStatusDto;	//订单状态
	private Integer userIsVip;	//是否为vip
	private Integer user38Interests;		//是否有38女王节权益 ：1:有权益  2：无权益
	private Integer userArrange;		//是否已完善信息   1：已完善  2：未完善
	private Integer userSurplusIntegral;	//剩余积分

	private Integer couponCount;	//券包
	private Integer couponVipCount;	//会员专享

	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getUserOpenid() {
		return userOpenid;
	}
	public void setUserOpenid(String userOpenid) {
		this.userOpenid = userOpenid;
	}
	public String getUserHead() {
		return userHead;
	}
	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}
	public String getUserNickname() {
		return userNickname;
	}
	public void setUserNickname(String userNickname) {
		this.userNickname = userNickname;
	}
	public Integer getUserIncome() {
		return userIncome;
	}
	public void setUserIncome(Integer userIncome) {
		this.userIncome = userIncome;
	}
	public int getWillIncome() {
		return willIncome;
	}
	public void setWillIncome(int willIncome) {
		this.willIncome = willIncome;
	}
	public OrderStatusDto getOrderStatusDto() {
		return orderStatusDto;
	}
	public void setOrderStatusDto(OrderStatusDto orderStatusDto) {
		this.orderStatusDto = orderStatusDto;
	}
	public Integer getShareType() {
		return shareType;
	}
	public void setShareType(Integer shareType) {
		this.shareType = shareType;
	}

	public Integer getUserIsVip() {
		return userIsVip;
	}

	public void setUserIsVip(Integer userIsVip) {
		this.userIsVip = userIsVip;
	}

	public Integer getUser38Interests() {
		return user38Interests;
	}

	public void setUser38Interests(Integer user38Interests) {
		this.user38Interests = user38Interests;
	}

	public Integer getUserArrange() {
		return userArrange;
	}

	public void setUserArrange(Integer userArrange) {
		this.userArrange = userArrange;
	}

	public Integer getUserSurplusIntegral() {
		return userSurplusIntegral;
	}

	public void setUserSurplusIntegral(Integer userSurplusIntegral) {
		this.userSurplusIntegral = userSurplusIntegral;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserTel() {
		return userTel;
	}

	public void setUserTel(String userTel) {
		this.userTel = userTel;
	}

	public Date getUserBirthDate() {
		return userBirthDate;
	}

	public void setUserBirthDate(Date userBirthDate) {
		this.userBirthDate = userBirthDate;
	}

	public Integer getUserSex() {
		return userSex;
	}

	public void setUserSex(Integer userSex) {
		this.userSex = userSex;
	}

	public Integer getCouponCount() {
		return couponCount;
	}

	public void setCouponCount(Integer couponCount) {
		this.couponCount = couponCount;
	}

	public Integer getCouponVipCount() {
		return couponVipCount;
	}

	public void setCouponVipCount(Integer couponVipCount) {
		this.couponVipCount = couponVipCount;
	}
}
